summaryrefslogtreecommitdiff
path: root/app-admin
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-04-28 07:11:58 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-04-28 07:11:58 +0000
commitebcfdde700572edcef684fefa2245f7955c655ae (patch)
tree6c397f76adb9324789fa1e83af8b23c934ce0786 /app-admin
parent758ba3a26cf3d19ddbff9cc837673acde1d4be43 (diff)
downloadbaldeagleos-repo-ebcfdde700572edcef684fefa2245f7955c655ae.tar.gz
baldeagleos-repo-ebcfdde700572edcef684fefa2245f7955c655ae.tar.xz
baldeagleos-repo-ebcfdde700572edcef684fefa2245f7955c655ae.zip
Adding metadata
Diffstat (limited to 'app-admin')
-rw-r--r--app-admin/awscli/Manifest1
-rw-r--r--app-admin/awscli/awscli-1.44.87.ebuild92
2 files changed, 93 insertions, 0 deletions
diff --git a/app-admin/awscli/Manifest b/app-admin/awscli/Manifest
index eaa0c4392b51..c4fcb2b4bca4 100644
--- a/app-admin/awscli/Manifest
+++ b/app-admin/awscli/Manifest
@@ -5,3 +5,4 @@ DIST aws-cli-1.44.73.gh.tar.gz 3106120 BLAKE2B 99b70e49edc54b09d2850daada348e0d2
DIST aws-cli-1.44.78.gh.tar.gz 3113712 BLAKE2B 058bb5fd747eec76a6713f7171f6dd280f61551768d00cc31a4271b4bacd922af887592ecd9cda776a2266290802c36dc3e78d3c057937f7646e059959f77408 SHA512 9c7476fbe8b904de3b91bc198444c41c295ea7a56449b4896ab3c7aac44bd151d0eacefaf8341944ddda7a8769950404b3ebb2b107a889504dd81d6cf0e65377
DIST aws-cli-1.44.81.gh.tar.gz 3117732 BLAKE2B f23eae79b632a8d0ff142cd856bb97aa563c56ac4748f5473b23f3af05310f37fe94d2c89e1b748917c0b5969ad4112acb4dc3493752541e536462e08cf932b1 SHA512 fac30c729b9133caf0f03745e8c2a1b7b1168f00f132026ec0c709aa4e3332dec723a59639caa39c50acdd563d6de01d74bc8082b770477d6f2c9c7b31de6e2a
DIST aws-cli-1.44.86.gh.tar.gz 3124407 BLAKE2B 035d024aae7f582b2fba521c886753ec5b9aeed5c21d1207b45d3706174d68be340b5ed0b1835e12ed575b0ccbf05dd216930738e77bd3730593e91ffdb8fbae SHA512 03bbf772caa3f8a445538b8c7a04c217b2458b9def1803826511c1ca906f3e6a4525d074f81e92825e675a8414b85e11be447764b83e4339b1a648b8a611df57
+DIST aws-cli-1.44.87.gh.tar.gz 3127113 BLAKE2B 78681375801285547fc0e904f08b3dfa009e582e3eac93b921d3f2931c2a03045d50c0767e771f4c92427e333fa47b2ba66768cb32daf31b0f277e45eba11838 SHA512 3fb799b23b56c1684747302200f4dd2017d5f9923552e8315ae9849f6b14eb86b1eb17becd7130a2ee06ab1e8ef48929b41f5c721eb16e73dc184f6d76de4631
diff --git a/app-admin/awscli/awscli-1.44.87.ebuild b/app-admin/awscli/awscli-1.44.87.ebuild
new file mode 100644
index 000000000000..4a5f452a79a8
--- /dev/null
+++ b/app-admin/awscli/awscli-1.44.87.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 shell-completion
+
+MY_P=aws-cli-${PV}
+DESCRIPTION="Universal Command Line Environment for AWS"
+HOMEPAGE="
+ https://github.com/aws/aws-cli/
+ https://pypi.org/project/awscli/
+"
+SRC_URI="
+ https://github.com/aws/aws-cli/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+# botocore is x.(y-2).(z+10), sigh
+BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) - 2)).$(( $(ver_cut 3) + 10 ))"
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ dev-python/colorama[${PYTHON_USEDEP}]
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/rsa[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.16.0[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ !app-admin/awscli-bin
+"
+BDEPEND="
+ test? (
+ dev-python/packaging[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-forked )
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+ # strip overzealous upper bounds on requirements
+ sed -i -e 's:,<[=0-9.]*::' -e 's:==:>=:' setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local serial_tests=(
+ tests/functional/ecs/test_execute_command.py::TestExecuteCommand::test_execute_command_success
+ tests/functional/ssm/test_start_session.py::TestSessionManager::test_start_session_{fails,success}
+ tests/functional/ssm/test_start_session.py::TestSessionManager::test_start_session_with_new_version_plugin_success
+ tests/unit/customizations/codeartifact/test_adapter_login.py::TestDotNetLogin::test_login_dotnet_sources_listed_with_backtracking
+ tests/unit/customizations/codeartifact/test_adapter_login.py::TestDotNetLogin::test_login_dotnet_sources_listed_with_backtracking_windows
+ tests/unit/customizations/codeartifact/test_adapter_login.py::TestNuGetLogin::test_login_nuget_sources_listed_with_backtracking
+ tests/unit/customizations/ecs/test_executecommand_startsession.py::TestExecuteCommand::test_execute_command_success
+ tests/unit/customizations/test_sessionmanager.py
+ tests/unit/test_compat.py::TestIgnoreUserSignals
+ tests/unit/test_help.py
+ tests/unit/test_utils.py::TestIgnoreCtrlC::test_ctrl_c_is_ignored
+ )
+ EPYTEST_XDIST= epytest "${serial_tests[@]}"
+
+ local EPYTEST_DESELECT=(
+ "${serial_tests[@]}"
+
+ # flaky (some ordering?)
+ tests/functional/s3/test_cp_command.py::TestCPCommand::test_multipart_upload_with_checksum_algorithm_crc32
+ )
+ # integration tests require AWS credentials and Internet access
+ epytest tests/{functional,unit}
+}
+
+python_install_all() {
+ newbashcomp bin/aws_bash_completer aws
+ newzshcomp bin/aws_zsh_completer.sh _aws
+
+ distutils-r1_python_install_all
+
+ rm "${ED}"/usr/bin/{aws.cmd,aws_bash_completer,aws_zsh_completer.sh} || die
+}